// Copyright 1986-2021 Xilinx, Inc. All Rights Reserved.
// --------------------------------------------------------------------------------
// Tool Version: Vivado v.2021.2 (win64) Build 3367213 Tue Oct 19 02:48:09 MDT 2021
// Date        : Wed Mar 16 20:26:05 2022
// Host        : DESKTOP-PAACOM8 running 64-bit major release  (build 9200)
// Command     : write_verilog -mode funcsim -nolib -force -file
//               C:/Users/Felix/OneDrive/Master/Projektarbeit_FPGA/Programme/Coraz7_Test/Coraz7_Test.sim/sim_1/synth/func/xsim/pwm_test_db_func_synth.v
// Design      : pwm_test
// Purpose     : This verilog netlist is a functional simulation representation of the design and should not be modified
//               or synthesized. This netlist cannot be used for SDF annotated simulation.
// Device      : xc7z010clg400-1
// --------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* NotValidForBitStream *)
module pwm_test
   (clk,
    led);
  input clk;
  output led;

  wire clk;
  wire clk_IBUF;
  wire clk_IBUF_BUFG;
  wire \count[0]_i_2_n_0 ;
  wire [31:0]count_reg;
  wire \count_reg[0]_i_1_n_0 ;
  wire \count_reg[0]_i_1_n_1 ;
  wire \count_reg[0]_i_1_n_2 ;
  wire \count_reg[0]_i_1_n_3 ;
  wire \count_reg[0]_i_1_n_4 ;
  wire \count_reg[0]_i_1_n_5 ;
  wire \count_reg[0]_i_1_n_6 ;
  wire \count_reg[0]_i_1_n_7 ;
  wire \count_reg[12]_i_1_n_0 ;
  wire \count_reg[12]_i_1_n_1 ;
  wire \count_reg[12]_i_1_n_2 ;
  wire \count_reg[12]_i_1_n_3 ;
  wire \count_reg[12]_i_1_n_4 ;
  wire \count_reg[12]_i_1_n_5 ;
  wire \count_reg[12]_i_1_n_6 ;
  wire \count_reg[12]_i_1_n_7 ;
  wire \count_reg[16]_i_1_n_0 ;
  wire \count_reg[16]_i_1_n_1 ;
  wire \count_reg[16]_i_1_n_2 ;
  wire \count_reg[16]_i_1_n_3 ;
  wire \count_reg[16]_i_1_n_4 ;
  wire \count_reg[16]_i_1_n_5 ;
  wire \count_reg[16]_i_1_n_6 ;
  wire \count_reg[16]_i_1_n_7 ;
  wire \count_reg[20]_i_1_n_0 ;
  wire \count_reg[20]_i_1_n_1 ;
  wire \count_reg[20]_i_1_n_2 ;
  wire \count_reg[20]_i_1_n_3 ;
  wire \count_reg[20]_i_1_n_4 ;
  wire \count_reg[20]_i_1_n_5 ;
  wire \count_reg[20]_i_1_n_6 ;
  wire \count_reg[20]_i_1_n_7 ;
  wire \count_reg[24]_i_1_n_0 ;
  wire \count_reg[24]_i_1_n_1 ;
  wire \count_reg[24]_i_1_n_2 ;
  wire \count_reg[24]_i_1_n_3 ;
  wire \count_reg[24]_i_1_n_4 ;
  wire \count_reg[24]_i_1_n_5 ;
  wire \count_reg[24]_i_1_n_6 ;
  wire \count_reg[24]_i_1_n_7 ;
  wire \count_reg[28]_i_1_n_1 ;
  wire \count_reg[28]_i_1_n_2 ;
  wire \count_reg[28]_i_1_n_3 ;
  wire \count_reg[28]_i_1_n_4 ;
  wire \count_reg[28]_i_1_n_5 ;
  wire \count_reg[28]_i_1_n_6 ;
  wire \count_reg[28]_i_1_n_7 ;
  wire \count_reg[4]_i_1_n_0 ;
  wire \count_reg[4]_i_1_n_1 ;
  wire \count_reg[4]_i_1_n_2 ;
  wire \count_reg[4]_i_1_n_3 ;
  wire \count_reg[4]_i_1_n_4 ;
  wire \count_reg[4]_i_1_n_5 ;
  wire \count_reg[4]_i_1_n_6 ;
  wire \count_reg[4]_i_1_n_7 ;
  wire \count_reg[8]_i_1_n_0 ;
  wire \count_reg[8]_i_1_n_1 ;
  wire \count_reg[8]_i_1_n_2 ;
  wire \count_reg[8]_i_1_n_3 ;
  wire \count_reg[8]_i_1_n_4 ;
  wire \count_reg[8]_i_1_n_5 ;
  wire \count_reg[8]_i_1_n_6 ;
  wire \count_reg[8]_i_1_n_7 ;
  wire led;
  wire led_OBUF;
  wire led_reg_i_10_n_0;
  wire led_reg_i_11_n_0;
  wire led_reg_i_12_n_0;
  wire led_reg_i_12_n_1;
  wire led_reg_i_12_n_2;
  wire led_reg_i_12_n_3;
  wire led_reg_i_13_n_0;
  wire led_reg_i_14_n_0;
  wire led_reg_i_15_n_0;
  wire led_reg_i_16_n_0;
  wire led_reg_i_17_n_0;
  wire led_reg_i_18_n_0;
  wire led_reg_i_19_n_0;
  wire led_reg_i_1_n_0;
  wire led_reg_i_1_n_1;
  wire led_reg_i_1_n_2;
  wire led_reg_i_1_n_3;
  wire led_reg_i_20_n_0;
  wire led_reg_i_21_n_0;
  wire led_reg_i_21_n_1;
  wire led_reg_i_21_n_2;
  wire led_reg_i_21_n_3;
  wire led_reg_i_22_n_0;
  wire led_reg_i_23_n_0;
  wire led_reg_i_24_n_0;
  wire led_reg_i_25_n_0;
  wire led_reg_i_26_n_0;
  wire led_reg_i_27_n_0;
  wire led_reg_i_28_n_0;
  wire led_reg_i_28_n_1;
  wire led_reg_i_28_n_2;
  wire led_reg_i_28_n_3;
  wire led_reg_i_29_n_0;
  wire led_reg_i_2_n_0;
  wire led_reg_i_2_n_1;
  wire led_reg_i_2_n_2;
  wire led_reg_i_2_n_3;
  wire led_reg_i_30_n_0;
  wire led_reg_i_31_n_0;
  wire led_reg_i_32_n_0;
  wire led_reg_i_33_n_0;
  wire led_reg_i_34_n_0;
  wire led_reg_i_35_n_0;
  wire led_reg_i_35_n_1;
  wire led_reg_i_35_n_2;
  wire led_reg_i_35_n_3;
  wire led_reg_i_36_n_0;
  wire led_reg_i_37_n_0;
  wire led_reg_i_38_n_0;
  wire led_reg_i_39_n_0;
  wire led_reg_i_3_n_0;
  wire led_reg_i_3_n_1;
  wire led_reg_i_3_n_2;
  wire led_reg_i_3_n_3;
  wire led_reg_i_40_n_0;
  wire led_reg_i_41_n_0;
  wire led_reg_i_42_n_0;
  wire led_reg_i_43_n_0;
  wire led_reg_i_43_n_1;
  wire led_reg_i_43_n_2;
  wire led_reg_i_43_n_3;
  wire led_reg_i_44_n_0;
  wire led_reg_i_45_n_0;
  wire led_reg_i_46_n_0;
  wire led_reg_i_47_n_0;
  wire led_reg_i_48_n_0;
  wire led_reg_i_49_n_0;
  wire led_reg_i_4_n_0;
  wire led_reg_i_50_n_0;
  wire led_reg_i_51_n_0;
  wire led_reg_i_52_n_0;
  wire led_reg_i_53_n_0;
  wire led_reg_i_54_n_0;
  wire led_reg_i_55_n_0;
  wire led_reg_i_56_n_0;
  wire led_reg_i_57_n_0;
  wire led_reg_i_58_n_0;
  wire led_reg_i_59_n_0;
  wire led_reg_i_5_n_0;
  wire led_reg_i_60_n_0;
  wire led_reg_i_61_n_0;
  wire led_reg_i_62_n_0;
  wire led_reg_i_63_n_0;
  wire led_reg_i_64_n_0;
  wire led_reg_i_65_n_0;
  wire led_reg_i_6_n_0;
  wire led_reg_i_7_n_0;
  wire led_reg_i_8_n_0;
  wire led_reg_i_9_n_0;
  wire [3:3]\NLW_count_reg[28]_i_1_CO_UNCONNECTED ;
  wire [3:0]NLW_led_reg_i_1_O_UNCONNECTED;
  wire [3:0]NLW_led_reg_i_12_O_UNCONNECTED;
  wire [3:0]NLW_led_reg_i_2_O_UNCONNECTED;
  wire [3:0]NLW_led_reg_i_21_O_UNCONNECTED;
  wire [3:0]NLW_led_reg_i_28_O_UNCONNECTED;
  wire [3:0]NLW_led_reg_i_3_O_UNCONNECTED;
  wire [3:0]NLW_led_reg_i_35_O_UNCONNECTED;
  wire [3:0]NLW_led_reg_i_43_O_UNCONNECTED;

  BUFG clk_IBUF_BUFG_inst
       (.I(clk_IBUF),
        .O(clk_IBUF_BUFG));
  IBUF clk_IBUF_inst
       (.I(clk),
        .O(clk_IBUF));
  LUT1 #(
    .INIT(2'h1)) 
    \count[0]_i_2 
       (.I0(count_reg[0]),
        .O(\count[0]_i_2_n_0 ));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[0] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[0]_i_1_n_7 ),
        .Q(count_reg[0]));
  (* ADDER_THRESHOLD = "11" *) 
  CARRY4 \count_reg[0]_i_1 
       (.CI(1'b0),
        .CO({\count_reg[0]_i_1_n_0 ,\count_reg[0]_i_1_n_1 ,\count_reg[0]_i_1_n_2 ,\count_reg[0]_i_1_n_3 }),
        .CYINIT(1'b0),
        .DI({1'b0,1'b0,1'b0,1'b1}),
        .O({\count_reg[0]_i_1_n_4 ,\count_reg[0]_i_1_n_5 ,\count_reg[0]_i_1_n_6 ,\count_reg[0]_i_1_n_7 }),
        .S({count_reg[3:1],\count[0]_i_2_n_0 }));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[10] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[8]_i_1_n_5 ),
        .Q(count_reg[10]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[11] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[8]_i_1_n_4 ),
        .Q(count_reg[11]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[12] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[12]_i_1_n_7 ),
        .Q(count_reg[12]));
  (* ADDER_THRESHOLD = "11" *) 
  CARRY4 \count_reg[12]_i_1 
       (.CI(\count_reg[8]_i_1_n_0 ),
        .CO({\count_reg[12]_i_1_n_0 ,\count_reg[12]_i_1_n_1 ,\count_reg[12]_i_1_n_2 ,\count_reg[12]_i_1_n_3 }),
        .CYINIT(1'b0),
        .DI({1'b0,1'b0,1'b0,1'b0}),
        .O({\count_reg[12]_i_1_n_4 ,\count_reg[12]_i_1_n_5 ,\count_reg[12]_i_1_n_6 ,\count_reg[12]_i_1_n_7 }),
        .S(count_reg[15:12]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[13] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[12]_i_1_n_6 ),
        .Q(count_reg[13]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[14] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[12]_i_1_n_5 ),
        .Q(count_reg[14]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[15] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[12]_i_1_n_4 ),
        .Q(count_reg[15]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[16] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[16]_i_1_n_7 ),
        .Q(count_reg[16]));
  (* ADDER_THRESHOLD = "11" *) 
  CARRY4 \count_reg[16]_i_1 
       (.CI(\count_reg[12]_i_1_n_0 ),
        .CO({\count_reg[16]_i_1_n_0 ,\count_reg[16]_i_1_n_1 ,\count_reg[16]_i_1_n_2 ,\count_reg[16]_i_1_n_3 }),
        .CYINIT(1'b0),
        .DI({1'b0,1'b0,1'b0,1'b0}),
        .O({\count_reg[16]_i_1_n_4 ,\count_reg[16]_i_1_n_5 ,\count_reg[16]_i_1_n_6 ,\count_reg[16]_i_1_n_7 }),
        .S(count_reg[19:16]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[17] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[16]_i_1_n_6 ),
        .Q(count_reg[17]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[18] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[16]_i_1_n_5 ),
        .Q(count_reg[18]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[19] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[16]_i_1_n_4 ),
        .Q(count_reg[19]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[1] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[0]_i_1_n_6 ),
        .Q(count_reg[1]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[20] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[20]_i_1_n_7 ),
        .Q(count_reg[20]));
  (* ADDER_THRESHOLD = "11" *) 
  CARRY4 \count_reg[20]_i_1 
       (.CI(\count_reg[16]_i_1_n_0 ),
        .CO({\count_reg[20]_i_1_n_0 ,\count_reg[20]_i_1_n_1 ,\count_reg[20]_i_1_n_2 ,\count_reg[20]_i_1_n_3 }),
        .CYINIT(1'b0),
        .DI({1'b0,1'b0,1'b0,1'b0}),
        .O({\count_reg[20]_i_1_n_4 ,\count_reg[20]_i_1_n_5 ,\count_reg[20]_i_1_n_6 ,\count_reg[20]_i_1_n_7 }),
        .S(count_reg[23:20]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[21] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[20]_i_1_n_6 ),
        .Q(count_reg[21]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[22] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[20]_i_1_n_5 ),
        .Q(count_reg[22]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[23] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[20]_i_1_n_4 ),
        .Q(count_reg[23]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[24] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[24]_i_1_n_7 ),
        .Q(count_reg[24]));
  (* ADDER_THRESHOLD = "11" *) 
  CARRY4 \count_reg[24]_i_1 
       (.CI(\count_reg[20]_i_1_n_0 ),
        .CO({\count_reg[24]_i_1_n_0 ,\count_reg[24]_i_1_n_1 ,\count_reg[24]_i_1_n_2 ,\count_reg[24]_i_1_n_3 }),
        .CYINIT(1'b0),
        .DI({1'b0,1'b0,1'b0,1'b0}),
        .O({\count_reg[24]_i_1_n_4 ,\count_reg[24]_i_1_n_5 ,\count_reg[24]_i_1_n_6 ,\count_reg[24]_i_1_n_7 }),
        .S(count_reg[27:24]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[25] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[24]_i_1_n_6 ),
        .Q(count_reg[25]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[26] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[24]_i_1_n_5 ),
        .Q(count_reg[26]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[27] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[24]_i_1_n_4 ),
        .Q(count_reg[27]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[28] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[28]_i_1_n_7 ),
        .Q(count_reg[28]));
  (* ADDER_THRESHOLD = "11" *) 
  CARRY4 \count_reg[28]_i_1 
       (.CI(\count_reg[24]_i_1_n_0 ),
        .CO({\NLW_count_reg[28]_i_1_CO_UNCONNECTED [3],\count_reg[28]_i_1_n_1 ,\count_reg[28]_i_1_n_2 ,\count_reg[28]_i_1_n_3 }),
        .CYINIT(1'b0),
        .DI({1'b0,1'b0,1'b0,1'b0}),
        .O({\count_reg[28]_i_1_n_4 ,\count_reg[28]_i_1_n_5 ,\count_reg[28]_i_1_n_6 ,\count_reg[28]_i_1_n_7 }),
        .S(count_reg[31:28]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[29] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[28]_i_1_n_6 ),
        .Q(count_reg[29]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[2] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[0]_i_1_n_5 ),
        .Q(count_reg[2]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[30] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[28]_i_1_n_5 ),
        .Q(count_reg[30]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[31] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[28]_i_1_n_4 ),
        .Q(count_reg[31]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[3] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[0]_i_1_n_4 ),
        .Q(count_reg[3]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[4] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[4]_i_1_n_7 ),
        .Q(count_reg[4]));
  (* ADDER_THRESHOLD = "11" *) 
  CARRY4 \count_reg[4]_i_1 
       (.CI(\count_reg[0]_i_1_n_0 ),
        .CO({\count_reg[4]_i_1_n_0 ,\count_reg[4]_i_1_n_1 ,\count_reg[4]_i_1_n_2 ,\count_reg[4]_i_1_n_3 }),
        .CYINIT(1'b0),
        .DI({1'b0,1'b0,1'b0,1'b0}),
        .O({\count_reg[4]_i_1_n_4 ,\count_reg[4]_i_1_n_5 ,\count_reg[4]_i_1_n_6 ,\count_reg[4]_i_1_n_7 }),
        .S(count_reg[7:4]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[5] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[4]_i_1_n_6 ),
        .Q(count_reg[5]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[6] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[4]_i_1_n_5 ),
        .Q(count_reg[6]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[7] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[4]_i_1_n_4 ),
        .Q(count_reg[7]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[8] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[8]_i_1_n_7 ),
        .Q(count_reg[8]));
  (* ADDER_THRESHOLD = "11" *) 
  CARRY4 \count_reg[8]_i_1 
       (.CI(\count_reg[4]_i_1_n_0 ),
        .CO({\count_reg[8]_i_1_n_0 ,\count_reg[8]_i_1_n_1 ,\count_reg[8]_i_1_n_2 ,\count_reg[8]_i_1_n_3 }),
        .CYINIT(1'b0),
        .DI({1'b0,1'b0,1'b0,1'b0}),
        .O({\count_reg[8]_i_1_n_4 ,\count_reg[8]_i_1_n_5 ,\count_reg[8]_i_1_n_6 ,\count_reg[8]_i_1_n_7 }),
        .S(count_reg[11:8]));
  FDCE #(
    .INIT(1'b0)) 
    \count_reg[9] 
       (.C(clk_IBUF_BUFG),
        .CE(1'b1),
        .CLR(led_reg_i_2_n_0),
        .D(\count_reg[8]_i_1_n_6 ),
        .Q(count_reg[9]));
  OBUF led_OBUF_inst
       (.I(led_OBUF),
        .O(led));
  (* XILINX_LEGACY_PRIM = "LDC" *) 
  (* XILINX_TRANSFORM_PINMAP = "VCC:GE" *) 
  LDCE #(
    .INIT(1'b0)) 
    led_reg
       (.CLR(led_reg_i_2_n_0),
        .D(led_reg_i_1_n_0),
        .G(led_reg_i_1_n_0),
        .GE(1'b1),
        .Q(led_OBUF));
  (* COMPARATOR_THRESHOLD = "11" *) 
  CARRY4 led_reg_i_1
       (.CI(led_reg_i_3_n_0),
        .CO({led_reg_i_1_n_0,led_reg_i_1_n_1,led_reg_i_1_n_2,led_reg_i_1_n_3}),
        .CYINIT(1'b0),
        .DI({led_reg_i_4_n_0,led_reg_i_5_n_0,led_reg_i_6_n_0,led_reg_i_7_n_0}),
        .O(NLW_led_reg_i_1_O_UNCONNECTED[3:0]),
        .S({led_reg_i_8_n_0,led_reg_i_9_n_0,led_reg_i_10_n_0,led_reg_i_11_n_0}));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_10
       (.I0(count_reg[26]),
        .I1(count_reg[27]),
        .O(led_reg_i_10_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_11
       (.I0(count_reg[24]),
        .I1(count_reg[25]),
        .O(led_reg_i_11_n_0));
  (* COMPARATOR_THRESHOLD = "11" *) 
  CARRY4 led_reg_i_12
       (.CI(led_reg_i_28_n_0),
        .CO({led_reg_i_12_n_0,led_reg_i_12_n_1,led_reg_i_12_n_2,led_reg_i_12_n_3}),
        .CYINIT(1'b0),
        .DI({led_reg_i_29_n_0,led_reg_i_30_n_0,1'b0,1'b0}),
        .O(NLW_led_reg_i_12_O_UNCONNECTED[3:0]),
        .S({led_reg_i_31_n_0,led_reg_i_32_n_0,led_reg_i_33_n_0,led_reg_i_34_n_0}));
  LUT2 #(
    .INIT(4'h2)) 
    led_reg_i_13
       (.I0(count_reg[30]),
        .I1(count_reg[31]),
        .O(led_reg_i_13_n_0));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_14
       (.I0(count_reg[28]),
        .I1(count_reg[29]),
        .O(led_reg_i_14_n_0));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_15
       (.I0(count_reg[26]),
        .I1(count_reg[27]),
        .O(led_reg_i_15_n_0));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_16
       (.I0(count_reg[24]),
        .I1(count_reg[25]),
        .O(led_reg_i_16_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_17
       (.I0(count_reg[30]),
        .I1(count_reg[31]),
        .O(led_reg_i_17_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_18
       (.I0(count_reg[28]),
        .I1(count_reg[29]),
        .O(led_reg_i_18_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_19
       (.I0(count_reg[26]),
        .I1(count_reg[27]),
        .O(led_reg_i_19_n_0));
  (* COMPARATOR_THRESHOLD = "11" *) 
  CARRY4 led_reg_i_2
       (.CI(led_reg_i_12_n_0),
        .CO({led_reg_i_2_n_0,led_reg_i_2_n_1,led_reg_i_2_n_2,led_reg_i_2_n_3}),
        .CYINIT(1'b0),
        .DI({led_reg_i_13_n_0,led_reg_i_14_n_0,led_reg_i_15_n_0,led_reg_i_16_n_0}),
        .O(NLW_led_reg_i_2_O_UNCONNECTED[3:0]),
        .S({led_reg_i_17_n_0,led_reg_i_18_n_0,led_reg_i_19_n_0,led_reg_i_20_n_0}));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_20
       (.I0(count_reg[24]),
        .I1(count_reg[25]),
        .O(led_reg_i_20_n_0));
  (* COMPARATOR_THRESHOLD = "11" *) 
  CARRY4 led_reg_i_21
       (.CI(led_reg_i_35_n_0),
        .CO({led_reg_i_21_n_0,led_reg_i_21_n_1,led_reg_i_21_n_2,led_reg_i_21_n_3}),
        .CYINIT(1'b0),
        .DI({led_reg_i_36_n_0,led_reg_i_37_n_0,count_reg[11],led_reg_i_38_n_0}),
        .O(NLW_led_reg_i_21_O_UNCONNECTED[3:0]),
        .S({led_reg_i_39_n_0,led_reg_i_40_n_0,led_reg_i_41_n_0,led_reg_i_42_n_0}));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_22
       (.I0(count_reg[22]),
        .I1(count_reg[23]),
        .O(led_reg_i_22_n_0));
  LUT2 #(
    .INIT(4'h8)) 
    led_reg_i_23
       (.I0(count_reg[16]),
        .I1(count_reg[17]),
        .O(led_reg_i_23_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_24
       (.I0(count_reg[22]),
        .I1(count_reg[23]),
        .O(led_reg_i_24_n_0));
  LUT2 #(
    .INIT(4'h2)) 
    led_reg_i_25
       (.I0(count_reg[20]),
        .I1(count_reg[21]),
        .O(led_reg_i_25_n_0));
  LUT2 #(
    .INIT(4'h8)) 
    led_reg_i_26
       (.I0(count_reg[18]),
        .I1(count_reg[19]),
        .O(led_reg_i_26_n_0));
  LUT2 #(
    .INIT(4'h2)) 
    led_reg_i_27
       (.I0(count_reg[17]),
        .I1(count_reg[16]),
        .O(led_reg_i_27_n_0));
  (* COMPARATOR_THRESHOLD = "11" *) 
  CARRY4 led_reg_i_28
       (.CI(led_reg_i_43_n_0),
        .CO({led_reg_i_28_n_0,led_reg_i_28_n_1,led_reg_i_28_n_2,led_reg_i_28_n_3}),
        .CYINIT(1'b0),
        .DI({count_reg[15],led_reg_i_44_n_0,led_reg_i_45_n_0,led_reg_i_46_n_0}),
        .O(NLW_led_reg_i_28_O_UNCONNECTED[3:0]),
        .S({led_reg_i_47_n_0,led_reg_i_48_n_0,led_reg_i_49_n_0,led_reg_i_50_n_0}));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_29
       (.I0(count_reg[22]),
        .I1(count_reg[23]),
        .O(led_reg_i_29_n_0));
  (* COMPARATOR_THRESHOLD = "11" *) 
  CARRY4 led_reg_i_3
       (.CI(led_reg_i_21_n_0),
        .CO({led_reg_i_3_n_0,led_reg_i_3_n_1,led_reg_i_3_n_2,led_reg_i_3_n_3}),
        .CYINIT(1'b0),
        .DI({led_reg_i_22_n_0,count_reg[21],1'b0,led_reg_i_23_n_0}),
        .O(NLW_led_reg_i_3_O_UNCONNECTED[3:0]),
        .S({led_reg_i_24_n_0,led_reg_i_25_n_0,led_reg_i_26_n_0,led_reg_i_27_n_0}));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_30
       (.I0(count_reg[20]),
        .I1(count_reg[21]),
        .O(led_reg_i_30_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_31
       (.I0(count_reg[22]),
        .I1(count_reg[23]),
        .O(led_reg_i_31_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_32
       (.I0(count_reg[20]),
        .I1(count_reg[21]),
        .O(led_reg_i_32_n_0));
  LUT2 #(
    .INIT(4'h8)) 
    led_reg_i_33
       (.I0(count_reg[18]),
        .I1(count_reg[19]),
        .O(led_reg_i_33_n_0));
  LUT2 #(
    .INIT(4'h8)) 
    led_reg_i_34
       (.I0(count_reg[16]),
        .I1(count_reg[17]),
        .O(led_reg_i_34_n_0));
  (* COMPARATOR_THRESHOLD = "11" *) 
  CARRY4 led_reg_i_35
       (.CI(1'b0),
        .CO({led_reg_i_35_n_0,led_reg_i_35_n_1,led_reg_i_35_n_2,led_reg_i_35_n_3}),
        .CYINIT(1'b1),
        .DI({led_reg_i_51_n_0,led_reg_i_52_n_0,led_reg_i_53_n_0,led_reg_i_54_n_0}),
        .O(NLW_led_reg_i_35_O_UNCONNECTED[3:0]),
        .S({led_reg_i_55_n_0,led_reg_i_56_n_0,led_reg_i_57_n_0,led_reg_i_58_n_0}));
  LUT2 #(
    .INIT(4'h8)) 
    led_reg_i_36
       (.I0(count_reg[14]),
        .I1(count_reg[15]),
        .O(led_reg_i_36_n_0));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_37
       (.I0(count_reg[12]),
        .I1(count_reg[13]),
        .O(led_reg_i_37_n_0));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_38
       (.I0(count_reg[8]),
        .I1(count_reg[9]),
        .O(led_reg_i_38_n_0));
  LUT2 #(
    .INIT(4'h2)) 
    led_reg_i_39
       (.I0(count_reg[15]),
        .I1(count_reg[14]),
        .O(led_reg_i_39_n_0));
  LUT2 #(
    .INIT(4'h2)) 
    led_reg_i_4
       (.I0(count_reg[30]),
        .I1(count_reg[31]),
        .O(led_reg_i_4_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_40
       (.I0(count_reg[12]),
        .I1(count_reg[13]),
        .O(led_reg_i_40_n_0));
  LUT2 #(
    .INIT(4'h2)) 
    led_reg_i_41
       (.I0(count_reg[10]),
        .I1(count_reg[11]),
        .O(led_reg_i_41_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_42
       (.I0(count_reg[8]),
        .I1(count_reg[9]),
        .O(led_reg_i_42_n_0));
  (* COMPARATOR_THRESHOLD = "11" *) 
  CARRY4 led_reg_i_43
       (.CI(1'b0),
        .CO({led_reg_i_43_n_0,led_reg_i_43_n_1,led_reg_i_43_n_2,led_reg_i_43_n_3}),
        .CYINIT(1'b1),
        .DI({count_reg[7],led_reg_i_59_n_0,led_reg_i_60_n_0,led_reg_i_61_n_0}),
        .O(NLW_led_reg_i_43_O_UNCONNECTED[3:0]),
        .S({led_reg_i_62_n_0,led_reg_i_63_n_0,led_reg_i_64_n_0,led_reg_i_65_n_0}));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_44
       (.I0(count_reg[12]),
        .I1(count_reg[13]),
        .O(led_reg_i_44_n_0));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_45
       (.I0(count_reg[10]),
        .I1(count_reg[11]),
        .O(led_reg_i_45_n_0));
  LUT2 #(
    .INIT(4'h8)) 
    led_reg_i_46
       (.I0(count_reg[8]),
        .I1(count_reg[9]),
        .O(led_reg_i_46_n_0));
  LUT2 #(
    .INIT(4'h2)) 
    led_reg_i_47
       (.I0(count_reg[14]),
        .I1(count_reg[15]),
        .O(led_reg_i_47_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_48
       (.I0(count_reg[12]),
        .I1(count_reg[13]),
        .O(led_reg_i_48_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_49
       (.I0(count_reg[10]),
        .I1(count_reg[11]),
        .O(led_reg_i_49_n_0));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_5
       (.I0(count_reg[28]),
        .I1(count_reg[29]),
        .O(led_reg_i_5_n_0));
  LUT2 #(
    .INIT(4'h2)) 
    led_reg_i_50
       (.I0(count_reg[9]),
        .I1(count_reg[8]),
        .O(led_reg_i_50_n_0));
  LUT2 #(
    .INIT(4'h8)) 
    led_reg_i_51
       (.I0(count_reg[6]),
        .I1(count_reg[7]),
        .O(led_reg_i_51_n_0));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_52
       (.I0(count_reg[4]),
        .I1(count_reg[5]),
        .O(led_reg_i_52_n_0));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_53
       (.I0(count_reg[2]),
        .I1(count_reg[3]),
        .O(led_reg_i_53_n_0));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_54
       (.I0(count_reg[0]),
        .I1(count_reg[1]),
        .O(led_reg_i_54_n_0));
  LUT2 #(
    .INIT(4'h2)) 
    led_reg_i_55
       (.I0(count_reg[7]),
        .I1(count_reg[6]),
        .O(led_reg_i_55_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_56
       (.I0(count_reg[4]),
        .I1(count_reg[5]),
        .O(led_reg_i_56_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_57
       (.I0(count_reg[2]),
        .I1(count_reg[3]),
        .O(led_reg_i_57_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_58
       (.I0(count_reg[0]),
        .I1(count_reg[1]),
        .O(led_reg_i_58_n_0));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_59
       (.I0(count_reg[4]),
        .I1(count_reg[5]),
        .O(led_reg_i_59_n_0));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_6
       (.I0(count_reg[26]),
        .I1(count_reg[27]),
        .O(led_reg_i_6_n_0));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_60
       (.I0(count_reg[2]),
        .I1(count_reg[3]),
        .O(led_reg_i_60_n_0));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_61
       (.I0(count_reg[0]),
        .I1(count_reg[1]),
        .O(led_reg_i_61_n_0));
  LUT2 #(
    .INIT(4'h2)) 
    led_reg_i_62
       (.I0(count_reg[6]),
        .I1(count_reg[7]),
        .O(led_reg_i_62_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_63
       (.I0(count_reg[4]),
        .I1(count_reg[5]),
        .O(led_reg_i_63_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_64
       (.I0(count_reg[2]),
        .I1(count_reg[3]),
        .O(led_reg_i_64_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_65
       (.I0(count_reg[0]),
        .I1(count_reg[1]),
        .O(led_reg_i_65_n_0));
  LUT2 #(
    .INIT(4'hE)) 
    led_reg_i_7
       (.I0(count_reg[24]),
        .I1(count_reg[25]),
        .O(led_reg_i_7_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_8
       (.I0(count_reg[30]),
        .I1(count_reg[31]),
        .O(led_reg_i_8_n_0));
  LUT2 #(
    .INIT(4'h1)) 
    led_reg_i_9
       (.I0(count_reg[28]),
        .I1(count_reg[29]),
        .O(led_reg_i_9_n_0));
endmodule
`ifndef GLBL
`define GLBL
`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;
    parameter GRES_WIDTH = 10000;
    parameter GRES_START = 10000;

//--------   STARTUP Globals --------------
    wire GSR;
    wire GTS;
    wire GWE;
    wire PRLD;
    wire GRESTORE;
    tri1 p_up_tmp;
    tri (weak1, strong0) PLL_LOCKG = p_up_tmp;

    wire PROGB_GLBL;
    wire CCLKO_GLBL;
    wire FCSBO_GLBL;
    wire [3:0] DO_GLBL;
    wire [3:0] DI_GLBL;
   
    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;
    reg GRESTORE_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;
    reg JTAG_RUNTEST_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (strong1, weak0) GSR = GSR_int;
    assign (strong1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;
    assign (strong1, weak0) GRESTORE = GRESTORE_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

    initial begin 
	GRESTORE_int = 1'b0;
	#(GRES_START);
	GRESTORE_int = 1'b1;
	#(GRES_WIDTH);
	GRESTORE_int = 1'b0;
    end

endmodule
`endif
